That was an enjoyable mess. I was expecting this to turn into an analysis of A Star, but I’m glad to see you stayed on the math side instead. While building a multi-input function to solve some problem comes up a lot in programming, I don’t think I have ever seen it done in this manner: where the function ends up being a single mathematical structure. Out of the video I have seen this year, this might be the one I learned the most from since this is the first time I have seen someone build a summation series to solve a problem rather than to complete some proof where they already knew the answer ahead of time. This is probably a process I will end up using at some point, so thanks for that. A few notes: It sounds like you keep changing the distance you are from the microphone. I have a habit of doing that. My only fix was wedging my chair against my desk so I couldn’t move too far from the mic while recording. Not the best solution. 2:40 It’s hard to read vertical text. Instead, write the text out to the side and add a leader line. 6:17 I enjoyed the series of different applications for the path algorithm. I can tell you were messing with this problem for a while. 12:20 The music is a bit loud in this section. I appreciate you just saying “this” instead of reading off a bunch of variables/equations. Over all, this was a pretty enjoyable video. Thanks for making it.
I find it unorthodox that you learned more from this video than from videos made by people with actual mathematics education because I had practically no idea what I was doing here. About A*, I hadn't actually heard of it before you made this comment, but it appears to have applications related to which traversing method is the fastest, rather than finding every possible method. In most lattices described in this video, every path would have the same number of moves.
Hey YM, it's been a while since we've talked but I just wanted to say your videos are amazing! I love the editing, transitions, special effects, and all the research that goes into them as well :) Even the music, especially the one that started at 10:01 were really good! GL on the contest :D
It can be argued that the center of the figure is closer to the end figure, specially since they shared a side that goes diagonally and it brings the figures closer when going down
Great video Quinn! You should really look into doing the CCC next year as I think you would do great at it (probably better than me lol) as most of the problems are similar to this and you already intuitively have a good understanding of how to solve these problems. Keep up the good work as well, this video was very well made, one of these will go viral I am telling you!
This is rough but in general it is correct and I hope it helps with your intuition. Suppose we have n numbers as: a_1,a_2, a_3, ..., a_k, a_(k+1), ... n and we want to choose k numbers out of these. We know that the total possible ways of ordering is n! And note that the total possible orderings of a_1, a_2, ...a_k, a_(k+1),...n is exactly k! What is left over is (n-k)! (n_choose_k) Conclusively. we have n! = k!(n-k)! (n_choose_k) ==> n!/k!(n-k)! = (n_choose_k) Cool video. Make more. =)
You could allow moving backwards as long as it doesn't repeat. For example, if you stand on some square and go up, then the moment you return to that square you can't go up anymore.
I got recommended this video a week ago and watched a third of it... I only stopped watching it because I realized that it related to my discrete structures course... I am now watching it through because it might be able to help me with a 15 point problem on my assignment in my discrete structures course.
Here is a nice followup question: How many shortest ways are there to move through a gridded rectangular room if you allow diagonal movements with a cost greater-equal one and less than two: 1=cost_horizontal=cost_vertical≤cost_diagonal
I apologise for that typo, I will make a correction in the description to avoid getting more people misinformed. Thank you for letting me know about it
You can transform this problem into another more general problem: How many ways are there to travel across an acyclic directed graph? Here the graph’s vertices correspond to the floor cells, and an edge exists between any two adjacent cells, in the direction that you are allowed to go in.
Umm you forgot that center of mass can sometimes be outside of humans body so you inaccesible yelow squares are invalid at the corners becouse I could banana myself around the corner and my center of mass is in the wall
OMG I literally came across this problem in Project Euler!!!! I ended up solving it by realizing that the progression of the number of ways forms a pascal triangle and I already knew its relationship to binomial coefficients😅I'm so glad somebody made a vid about it!!!! Cool explanation btw ♥♥
For the first problem my intuition is basically that you'll be making 3 up moves and 6 right moves guaranteed. These moves can be arranged in 9! Different combinations with each up and right move being unique, and you can un-unique the up moves from each other by divinding by 3! And same for right moves by 6! A general solution for getting from one corner to the other in an X by Y rectangle is (X-1+Y-1)! /( (X-1)! (Y-1)! ) This is the same as the pick 3 from 9 unordered equation which does make sense. If you put notes numbered 1-9 in a bag and pull out three and put all the up movements on the three numbers you pulled and the right movements on all the rest, thatX's mathematically equivalent ig?
if we define walking across a room as entering a specific door and leaving through a specific door, then the route doesn't matter, and there's only one way to walk across a room.
You could say that each step in the walk must be closer to the destination. A more general statement where right and up are used for example. Also, I wonder how hard it would be to try this rule: can not walk into a square which was previously occupied.
What if there were no walls? You just had a source square and a destination square and you found the probability of steps to get from here to there. And then put no limit on the direction of travel.
It was really cool video ! I loved it ! Although, i thought you might extend it to a probability question : what's the probability of going to door using those restriction ?
Thats an infinite amount of paths, similarly to if you kept splitting the square grid into smaller and smaller square grids (which approaches infinity, even if it has a discrete answer for any given grid)
@hakurou4620 yes, it's an infinite amount of paths. I didn't think this through all the way but felt like there would be something to do there with calculus
Another way to solve would be with a recursive formula, it would be described as following assuming l and w are integers. f(l,w)=f(l-1,w)+f(l,w-1) l>1&w>1, 1 otherwise.
A 3d lattice would follow Pascal's pyramid instead of Pascal's triangle, and its formula would be (l + w + h - 3)!/((l - 1)!(w - 1)!(h - 1)!) Also, I recognise you from comments on some of David Pitcher's videos.
Removing down and left movements kinda make it too simple. Just make it so u can only pass through 1 tile once. That wud be a better question to answer
(This is an inside joke that this person may or may not understand depending on if they are the same YellowMarkers I “interacted” with a long time ago)
I’m the guy from Batman who fart
This is the truest comment I've ever had
have stroke 💀
the hero we needed but didn't deserve
why so serious?
I don't get anything.
You can still allow for left and down movements while still having a finite number of paths. Just don’t count paths that intersect itself.
Genius
Or, in other words, don't add the direction rule, instead add a rule that you cannot pass over a previously visited square.
snake
@@brandonmack111 yes. I don’t see the issue
I was literally thinking the same
1:39 “Does this look familiar?”
My dumbass: Hehe yeah it’s minesweeper
The best math videos begin with "Have you ever wondered x? No? But I did, here's what I found."
the best video is the one that starts with”have you wondered x? No? well i did so here what i found”
@EliteCameraBuddy yes that's literally the comment you replied to idiot
the best video is the one that starts with “have you wondered x? No? i did though so here’s what i found”
the video is the one that starts with “have you wondered x? I did here is what I found.”
That was an enjoyable mess. I was expecting this to turn into an analysis of A Star, but I’m glad to see you stayed on the math side instead. While building a multi-input function to solve some problem comes up a lot in programming, I don’t think I have ever seen it done in this manner: where the function ends up being a single mathematical structure.
Out of the video I have seen this year, this might be the one I learned the most from since this is the first time I have seen someone build a summation series to solve a problem rather than to complete some proof where they already knew the answer ahead of time. This is probably a process I will end up using at some point, so thanks for that.
A few notes:
It sounds like you keep changing the distance you are from the microphone. I have a habit of doing that. My only fix was wedging my chair against my desk so I couldn’t move too far from the mic while recording. Not the best solution.
2:40 It’s hard to read vertical text. Instead, write the text out to the side and add a leader line.
6:17 I enjoyed the series of different applications for the path algorithm. I can tell you were messing with this problem for a while.
12:20 The music is a bit loud in this section.
I appreciate you just saying “this” instead of reading off a bunch of variables/equations.
Over all, this was a pretty enjoyable video. Thanks for making it.
I find it unorthodox that you learned more from this video than from videos made by people with actual mathematics education because I had practically no idea what I was doing here.
About A*, I hadn't actually heard of it before you made this comment, but it appears to have applications related to which traversing method is the fastest, rather than finding every possible method. In most lattices described in this video, every path would have the same number of moves.
I sometimes think im crazy, but then i see a video like this and I remember im not insane.
sometimes i think im sane and then click on this videk and remember im insane
This music is making me feel like I'm on a surreal point-and-click adventure.
"Its 3 am, i should probably sleep"
TH-cam recommended:
it's just 1, the correct way. what is that way you ask? look inside your heart, the answer was inside you all along.
Just go in a straight line instead of frickin' zigzagging
“the answer is left to the reader”
answer inside me
Pause
I can’t look inside my heart my ribcage is in the way
Finally, I have found another who uses a dodecahedron in their profile picture! My search is at last complete.
dodecahedrons r w
the graphics on this are really nice. great job sir
Hey YM, it's been a while since we've talked but I just wanted to say your videos are amazing! I love the editing, transitions, special effects, and all the research that goes into them as well :) Even the music, especially the one that started at 10:01 were really good! GL on the contest :D
14:00 how come, in the irregular grid, that 20 quadrilateral can move ⬇️ to the 32 one? It seems like that move only takes you further from the exit.
It can be argued that the center of the figure is closer to the end figure, specially since they shared a side that goes diagonally and it brings the figures closer when going down
Why Am I Watching This At 1 Am
Great video Quinn! You should really look into doing the CCC next year as I think you would do great at it (probably better than me lol) as most of the problems are similar to this and you already intuitively have a good understanding of how to solve these problems. Keep up the good work as well, this video was very well made, one of these will go viral I am telling you!
This is rough but in general it is correct and I hope it helps with your intuition.
Suppose we have n numbers as: a_1,a_2, a_3, ..., a_k, a_(k+1), ... n and we want to choose k numbers out of these.
We know that the total possible ways of ordering is n!
And note that the total possible orderings of a_1, a_2, ...a_k, a_(k+1),...n is exactly k! What is left over is (n-k)! (n_choose_k)
Conclusively. we have n! = k!(n-k)! (n_choose_k) ==> n!/k!(n-k)! = (n_choose_k)
Cool video. Make more. =)
I just sat through a math lecture... and enjoyed it...
Thanks, I'll be making more of these and I'll be trying to make them even more entertaining
You could allow moving backwards as long as it doesn't repeat. For example, if you stand on some square and go up, then the moment you return to that square you can't go up anymore.
When I saw the title, I was like "Dynamic programming maybe?", and I was right
All problems related to computational geometry are fun to watch. Because you can always have nice visualizations
I got recommended this video a week ago and watched a third of it... I only stopped watching it because I realized that it related to my discrete structures course... I am now watching it through because it might be able to help me with a 15 point problem on my assignment in my discrete structures course.
Update: I'm curled up in a little ball on my bed.
Here is a nice followup question:
How many shortest ways are there to move through a gridded rectangular room if you allow diagonal movements with a cost greater-equal one and less than two: 1=cost_horizontal=cost_vertical≤cost_diagonal
@5:45 the numerator is (l-w-2), but on the next slide it shows (7+4-2). Perhaps the negative width in the first slide is a typo?
It's a typo that was dragged the whole video sadly, making the final función actually wrong
I apologise for that typo, I will make a correction in the description to avoid getting more people misinformed. Thank you for letting me know about it
You can transform this problem into another more general problem: How many ways are there to travel across an acyclic directed graph? Here the graph’s vertices correspond to the floor cells, and an edge exists between any two adjacent cells, in the direction that you are allowed to go in.
the beepbox music really puts this all together
It makes it genuinely terrifying
Great video bro. The intro was amazing. Instantly made me laugh, and then consider.
Umm you forgot that center of mass can sometimes be outside of humans body so you inaccesible yelow squares are invalid at the corners becouse I could banana myself around the corner and my center of mass is in the wall
Thank you.
OMG I literally came across this problem in Project Euler!!!! I ended up solving it by realizing that the progression of the number of ways forms a pascal triangle and I already knew its relationship to binomial coefficients😅I'm so glad somebody made a vid about it!!!! Cool explanation btw ♥♥
For the first problem my intuition is basically that you'll be making 3 up moves and 6 right moves guaranteed. These moves can be arranged in 9! Different combinations with each up and right move being unique, and you can un-unique the up moves from each other by divinding by 3! And same for right moves by 6!
A general solution for getting from one corner to the other in an X by Y rectangle is
(X-1+Y-1)! /( (X-1)! (Y-1)! )
This is the same as the pick 3 from 9 unordered equation which does make sense. If you put notes numbered 1-9 in a bag and pull out three and put all the up movements on the three numbers you pulled and the right movements on all the rest, thatX's mathematically equivalent ig?
Gosh I am loving browsing this tag.
if we define walking across a room as entering a specific door and leaving through a specific door, then the route doesn't matter, and there's only one way to walk across a room.
if you are walking in a straight 1D line there are 2 ways to walk
Forward and Backwards
I liked the part where you walked across a room
i just started the video but i already love the music
Me rn (Middle of the night, 2 exams coming up): *interesting*
You sound like a younger, less gritty J.C. Denton in this, and I am here for it lol
What if we can go left or down but not go to an already visited square
it’s that one bitburner contract
5:42 I think the formula here has a typo
What?
I thought you'd also try piecewise functions and recursion for the formula derivation
it turns out the real only path was the friends we made along the way.
Hey man, very clean, interesting and professional. Good sNice tutorialt.
5:44 where are the absolute value signs?
You could say that each step in the walk must be closer to the destination. A more general statement where right and up are used for example.
Also, I wonder how hard it would be to try this rule: can not walk into a square which was previously occupied.
What if there were no walls? You just had a source square and a destination square and you found the probability of steps to get from here to there. And then put no limit on the direction of travel.
It was really cool video ! I loved it ! Although, i thought you might extend it to a probability question : what's the probability of going to door using those restriction ?
Dam I actually enjoyed this even with beforehand knowledge amazing soundtrack you earned a sub
How about if we don't use a square grid and limit the angle that the path ça follow to be between 0 and 90 degrees?
Thats an infinite amount of paths, similarly to if you kept splitting the square grid into smaller and smaller square grids (which approaches infinity, even if it has a discrete answer for any given grid)
@hakurou4620 yes, it's an infinite amount of paths. I didn't think this through all the way but felt like there would be something to do there with calculus
Another way to solve would be with a recursive formula, it would be described as following assuming l and w are integers.
f(l,w)=f(l-1,w)+f(l,w-1) l>1&w>1, 1 otherwise.
Nice, that is the essence of how this is solved via Dynamic Programming
Really well-made video.
5:28 isn't the top supposed to be (n + k - 2)! ??
I wish you would has extended it to getting accross a 3d lattice room.
A 3d lattice would follow Pascal's pyramid instead of Pascal's triangle, and its formula would be (l + w + h - 3)!/((l - 1)!(w - 1)!(h - 1)!)
Also, I recognise you from comments on some of David Pitcher's videos.
@@yellowmarkers wooo! Niche nerdy youtube crew checking in!
this is a great video to eat to, i dont understand half of things he's saying but its cool
Have you considered submitting this as #SaME2 ?
was that stranded lullaby
This is actually an interview question asked by google. Its quite hard to figure out in 30 minutes but yeah, its pretty much just dp
And then you realize that the doors might not be on opposite walls but on the walls next to each other...
I was sure i have watched this before. And then the circle appeared
6:57 24 + 13 + 24 = 37 ????
Today I learned I made a Hopeless Mistake, 2.5 years ago
Was the music in the beginning made with beep box?
Please make more of these
Removing down and left movements kinda make it too simple.
Just make it so u can only pass through 1 tile once. That wud be a better question to answer
"A human body has thickness"
-some rule34 artist, probably
Definitely feels like a descent into madness meme
6:49 did nobody else notice that going to the top path would be longer than the bottom path
Please link the music! I enjoyed it, it wasn't bad.
Make the grid in planck lengths
KEEP NOTES GUYS! YOU NEVER KNOW WHEN NITENDO WILL PATTEN NEXT
Everyone loves square and hexagonal tiling, but why doesn’t triangular tiling get any love??
Jonas Tyroller.
(This is an inside joke that this person may or may not understand depending on if they are the same YellowMarkers I “interacted” with a long time ago)
@@rgc-exists I am indeed the same person.
I started making soft recently, I was wondering if you wanna do any features.
now try version with all four moves but path can't collide with itself
1:19 Omgr Combinatorics
What about going over the room
how many ways can you walk across the room, without any of the paths intersecting?
very cool
The tired math teacher:
now find how many ways there are to walk across a room with different pentagons inside of it
This music is great, it feels like a descent into madness just like the video itself
when i saw the thumbnail i immediately thought pascals triangle
make the squares each a Planck length long to get the true number
Thinking is finited when you only think inside a box.
Process to walk on the wall to walk out of the room with no roof to make it a 3d space*
Infinite ways (before I watched the video)
do i hear beepbox in the background?!?
Just do 2^(n+k-2)
Sounds like beepbox in the background
it's one way, diagonally
Professor Layton himself made this video
jan Misali would approve
Infinite.
Infinite
The area of the room
this is my autism interpreted into a youtube video
The music sounds beepboxy
nice
I'm the guy from Spiderman who piss
This is the falsest comment I've ever had
mmmm yummy math
Hi ym UwU
a lot-
edit: -of ways to get across a room
6th
23